1. Orders
VeloeSIM API
  • VeloeSIM
    • Plans
      • getAllPlans
      • getOnePlan
    • Organizations
      • getMyOrganization
    • Orders
      • orderOne
        POST
    • Esims
      • getAllEsims
      • getOneEsim
      • getEsimTopUpPlans
      • topUpEsim
  • Schemas
    • Plan
    • PlansListResponse
    • Organization
    • OrderRequest
    • TopUpRequest
    • Esim
    • EsimsListResponse
    • Area
    • Network
    • AssignedPlan
    • AreaSimple
  1. Orders

orderOne

POST
/api/wholesale/orders
Purchase a plan. If the customer email is provided, the plan will be assigned to the customer, and the customer will become a VeloeSIM user. The user will receive a password to log in to the VeloeSIM application.

Request

Authorization
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/api/wholesale/orders' \
--header 'Content-Type: application/json' \
--data '{
    "planId": 2604
}'
Response Response Example
{
    "iosSetup": "https://esimsetup.apple.com/esim_qrcode_provisioning?carddata=LPA:1$address.test$X2-2XXXX7-LCIUXQ",
    "iccid": "89372040161688888888",
    "matchingId": "X2-2XXXX7-LCIUXQ",
    "smdpAddress": "address.test",
    "profileStatus": "RELEASED",
    "installedAt": null,
    "assignedPlans": [
        {
            "initialQuantityInBytes": 1000000000,
            "remainingQuantityInBytes": 1000000000,
            "startTime": null,
            "endTime": null,
            "isExpired": false,
            "areas": [
                {
                    "id": 49,
                    "name": "Greece",
                    "region": "Europe",
                    "iso": "GR"
                }
            ]
        }
    ]
}
Modified at 2026-06-08 10:30:45
Previous
getMyOrganization
Next
getAllEsims
Built with